uk.ac.starlink.task

## Class StringParameter

- java.lang.Object
- - uk.ac.starlink.task.Parameter<java.lang.String>
  - - uk.ac.starlink.task.StringParameter

-     public class StringParameter
      extends Parameter<java.lang.String>

  Parameter for holding string values.
  Since:
    20 Aug 2014
  Author:
    Mark Taylor

- - ### Field Summary

    - ### Fields inherited from class uk.ac.starlink.task.Parameter

      `BY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringParameter(java.lang.String name)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `stringToObject(Environment env, java.lang.String sval)` Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter.

    - ### Methods inherited from class uk.ac.starlink.task.Parameter

      `clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectToString, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StringParameter

          public StringParameter(java.lang.String name)

      Constructor.
      Parameters:
        `name` - parameter name

  - ### Method Detail

    - #### stringToObject

          public java.lang.String stringToObject(Environment env,
                                                 java.lang.String sval)
                                          throws TaskException

      Description copied from class: `Parameter`
      Takes a non-blank string, as supplied by the execution environment, and turns it into a typed value for this parameter. This method also performs validation, so if the string value is unacceptable in any way, a ParameterValueException should be thrown.

      It is an error to supply a null or empty string value.

      If this method fails (throws a ParameterValueException) and if `allowClassnameValue` is set, then a subsequent attempt will be made to interpret the `stringVal` as the classname of a suitable class with a no-arg constructor.

      Specified by:
        `stringToObject` in class `Parameter<java.lang.String>`
      Parameters:
        `env` - execution environment; in most cases this is not required but for some purposes environment-specific characteristics may influence the result
        `sval` - non-null, non-empty string value
      Returns:
        typed value
      Throws:
        `TaskException`

Copyright © 2017 Central Laboratory of the Research Councils. All Rights Reserved.